+ Responder ao Tópico



  1. #1
    lewroy
    Visitante

    Padrão por que nao instala?

    ola amigos eu baixei alguns programas com emule para linux, descompactei -o entrei no diretorio dele e executei o ./configure

    e no fim do configure ele da um erro de
    c ++ erro n/ pode criar executaveis (esta messagen esta em ingles) por que?? o que eu tenho que fazer?? o que falta para eu instala-lo, uso o conetiva 10 , estou usando o root para instala-lo o que falta?? :toim:

  2. #2

    Padrão por que nao instala?

    ola

    primeiro para dar o ./configure e o make nao é necessesario nem aconselhavel estar como root apenas no make install

    é dependencencia de alguma biblioteca ai, cola pra gente o seu ./configure



  3. #3
    lewroy
    Visitante

    Padrão eu tentei

    ola , eu tentei mais n/ consegui dar o ./configure sendo usuario comun, diz que eu n/ tenho permissão mesmo depois que eu dei um chmod 777 no diretorio que eu descompactei o programa, mais blz segue a lista de pedencia que foi gerada depois do configure

    #checking for a bsd-compatible install.../usb/bin/install -c
    // whethe build enviroment is sane ...yes
    // for gawk ... gawk
    // whether make set $ (make) ... no
    // for g++ ... no
    // for c++ ...no
    // for gpp ...no
    // for aCC ...no
    // for CC ... no
    // for cxx ... no
    // for FCC ... no
    // for rcc ... no
    // for kcc ....no
    // for xlC -r ....no
    // for clC ....no
    // for c++ compiler defaut out punt. configure erro: c++ copiler create executables


    é esta mensagem que da!!

  4. #4

    Padrão por que nao instala?

    Pelo jeito você não está com um compilador de C instalado.

    Instala o gcc e veja se resolve seu problema.

    Qualquer problema posta ae novamente/



  5. #5
    Xlab
    Visitante

    Padrão por que nao instala?

    se sua distribuicao for baseada em pacotes rpm. try it:

    apt-get install task-c++-devel task-c-devel

  6. #6
    lewroy
    Visitante

    Padrão o ok

    O ok valew, vou tentar



  7. #7
    lewroy
    Visitante

    Padrão n/ existe

    olha só n/ exite este pacote, pelo menos é o que o apt na distro conectiva 10 falou

  8. #8
    lewroy
    Visitante

    Padrão n/ funcionou

    eu já estou com o gcc instalado na versão mais nova, pois foi o que o apt. me respondeu, já estava instalado, alguem tem alguma solução??



  9. #9

    Padrão por que nao instala?

    o teu script nao tah conseguindo encontrar seu gcc ou alguns componentes dele

    Código :
     // for g++ ... no
    // for c++ ...no
    // for gpp ...no
    // for aCC ...no
    // for CC ... no
    // for cxx ... no
    // for FCC ... no
    // for rcc ... no
    // for kcc ....no
    // for xlC -r ....no
    // for clC ....no

    tente instalar o gcc-c++

    ou simplesmente d um

    Código :
    apt-get install gcc*

    dae, tente compilar novamente

    []'s

  10. #10
    lewroy
    Visitante

    Padrão n/ deu certo

    Ola amigo eu dei um
    apt-get install gcc-c++ e falou que n/ existe este pacote eu dei um
    apt-get -f install gcc* e da uma mmmmmmmmmmmmmoooonte de erros do tipo
    #E: package /usr/rc/jdk142-update/ws/fcs_control/build/linux-i586/lib/i386/libjavaplugin....
    #E: package usr/rc/jdk142-update/ws/fcs_control/build/linux-i586/lib/i386/libjcov.so.......
    #E: package usr/rc/jdk142-update/ws/fcs_control/build/linux-i586/lib/i386/nativethreads/libhpii.so

    e ir no final de cada mensagem da esta frase ( is a virtual package with no good providers



  11. #11
    Xlab
    Visitante

    Padrão por que nao instala?

    Posta ai seu "source.list" do apt

  12. #12
    lewroy
    Visitante

    Padrão desculpa masi n/ entendi

    vc quer o que mesmo??